Zum Hauptinhalt springen

Update the password for a specific deliverybox

PUT/v2/deliveryboxes/{id}/password
API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-mail-deliverybox-update-password

Request​

  • idstring (uuid)required

    ID of the deliverybox

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PUT \
-d '{"password":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/deliveryboxes/f0f86186-0a5a-45b2-aa33-502777496347/password
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.deprecatedMailDeliveryboxUpdatePassword({
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"password": "string"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\DeprecatedMailDeliveryboxUpdatePassword\DeprecatedMailDeliveryboxUpdatePasswordRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Mail\DeprecatedMailDeliveryboxUpdatePassword\DeprecatedMailDeliveryboxUpdatePasswordRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// DeprecatedMailDeliveryboxUpdatePasswordRequestBody to learn how to construct a valid instance
$body = new DeprecatedMailDeliveryboxUpdatePasswordRequestBody(/* TODO: ... */);

$request = (new DeprecatedMailDeliveryboxUpdatePasswordRequest(
id: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->mail()->deprecatedMailDeliveryboxUpdatePassword($request);

var_dump($response->getBody();

Auf dieser Seite